Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.Constants.StreamFallbackOptions Enum Reference

Options for handling audio and video stream fallback when network conditions are weak. More...

## Public Member Functions
int | getValue ()

## Public Attributes
| STREAM_FALLBACK_OPTION_DISABLED =(0)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LOW =(1)
| STREAM_FALLBACK_OPTION_AUDIO_ONLY =(2)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_1 =(3)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_2 =(4)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_3 =(5)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_4 =(6)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_5 =(7)
| STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_6 =(8)

## Detailed Description

Options for handling audio and video stream fallback when network conditions are weak.

## Member Data Documentation

## ◆ STREAM_FALLBACK_OPTION_DISABLED

io.agora.rtc2.Constants.StreamFallbackOptions.STREAM_FALLBACK_OPTION_DISABLED =(0)

0: No fallback processing is performed on audio and video streams, the quality of the audio and video streams cannot be guaranteed.

## ◆ STREAM_FALLBACK_OPTION_VIDEO_STREAM_LOW

io.agora.rtc2.Constants.StreamFallbackOptions.STREAM_FALLBACK_OPTION_VIDEO_STREAM_LOW =(1)

1: Only receive low-quality (low resolution, low bitrate) video stream.

## ◆ STREAM_FALLBACK_OPTION_AUDIO_ONLY

io.agora.rtc2.Constants.StreamFallbackOptions.STREAM_FALLBACK_OPTION_AUDIO_ONLY =(2)

2: When the network conditions are weak, try to receive the low-quality video stream first. If the video cannot be displayed due to extremely weak network environment, then fall back to receiving audio-only stream.

## ◆ STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_1

io.agora.rtc2.Constants.StreamFallbackOptions.STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_1 =(3)

3~8: If the receiver SDK uses setRemoteSubscribeFallbackOption, it will receive one of the streams from agora::rtc::VIDEO_STREAM_LAYER_1 to agora::rtc::VIDEO_STREAM_LAYER_6 if the related layer exists when the network condition is poor. The lower bound of fallback depends on the STREAM_FALLBACK_OPTION_VIDEO_STREAM_LAYER_X.